'use strict';

var Node = require('../../model/DocumentNode');

function DocumentedNode() {
  DocumentedNode.super.apply(this, arguments);
}

DocumentedNode.Prototype = function() {

  // Defaults to the regular type property
  this.getSpecificType = function() {
    return this.type;
  };

  this.getTocName = function() {
    return this.name;
  };

};

Node.extend(DocumentedNode);

DocumentedNode.static.name = 'source-code';

DocumentedNode.static.defineSchema({
  description: { type: 'string', optional: true }, // HTML
  example: { type: 'string', optional: true }, // HTML
  sourceFile: 'string', // ui/Component.js
  sourceLine: 'number',
  isPrivate: { type: 'boolean', default: false },
  tags: { type: ['array', 'object'], default: [] }, // [ { name: 'type', string: '...', html: '...'}]
});

DocumentedNode.static.isBlock = true;

module.exports = DocumentedNode;
